﻿using IRaCIS.Core.Application.Contracts;

namespace IRaCIS.Core.Application.Interfaces
{
    public interface ISubjectVisitService
    {
        Task<IResponseOutput> AddOrUpdateSV(SubjectVisitCommand svCommand);
        Task<IResponseOutput> DeleteSV(Guid id);
        Task<List<VisitStudyDTO>> GetVisitStudyList(Guid trialId, Guid sujectVisitId, int isReading);
        Task<IResponseOutput> SetSVExecuted(Guid subjectVisitId);
    }
}