﻿using IRaCIS.Core.Domain.Share;
using System;
using System.ComponentModel.DataAnnotations.Schema;

namespace IRaCIS.Core.Domain.Models
{
    [Table("VerificationCode")]
    public class VerificationCode:Entity
    {
        //public Guid Id { get; set; }

        public Guid UserId { get; set; } = Guid.Empty;

        public string Code { get; set; }

        public VerifyType CodeType { get; set; }

        public bool HasSend { get; set; }

        public string EmailOrPhone { get; set; }

       public DateTime ExpirationTime { get; set; }
    }
}