﻿using System;
using System.Collections.Generic;
using EasyCaching.Core.Interceptor;
using IRaCIS.Application.Contracts;
using IRaCIS.Core.Infrastructure.Extention;

namespace IRaCIS.Application.Interfaces
{
    public interface IDictionaryService
    {

        Task<IEnumerable<string>> getDictionarySelect();
        PageOutput<DicViewModelDTO> getDictionarySelectList(DicQueryDTO dicSearchModel);

        Task<IResponseOutput> DeleteDictionary(Guid id);
        DicResultDTO GetDictionary(string[] searchArray);
        DicResultDTO GetAllDictionary();
        //IResponseOutput AddOrUpdateDictionary(AddOrUpdateDicDTO viewModel);

        [EasyCachingAble(Expiration = 10)]
        List<DictionaryTreeNode> GetDicTree();
        DicViewModelDTO GetDetailById(Guid Id);

        TrialDicSelect GetGenerateTrialCodeDic();
    }
}
