﻿using System;
using IRaCIS.Core.Domain.Share;

namespace IRaCIS.Core.Application.Contracts
{

    public class QANoticeDTO
    {
        public Guid  Id { get; set; }
        public Guid TrialId { get; set; }

        public Guid StudyId { get; set; }

        public string StudyStatusStr { get; set; } = string.Empty;

        public string Message { get; set; } = string.Empty;

        public DateTime SendTime { get; set; }

        public DateTime? DealTime { get; set; }

        
        public string FromUser { get; set; } = string.Empty;

        public string FromUserType { get; set; } = string.Empty;

        public NoticeType NoticeTypeEnum { get; set; }

        public bool NeedDeal { get; set; }

        public bool IsMessageReceiver { get; set; } = false;
    }

    
}