using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;
using IRaCIS.Core.Domain.Share;

namespace IRaCIS.Core.Domain.Models
{
    /// <summary>
    /// άԱĿϵ - ʵ
    /// </summary>
    [Table("TrialUser")]
    public partial class TrialUser : Entity, IAuditUpdate, IAuditAdd ,ISoftDelete
    {
        public Guid UserId { get; set; }
        public Guid TrialId { get; set; }

        public Trial Trial { get; set; }

        [ForeignKey("UserId")]
        public User User { get; set; }


        public List<TrialSiteUser> SiteList { get; set; }


        // 0 ʾ  1 ʾͣ
        //public int JoinState { get; set; }

        //Ѿȷϵ Ŀĵ
        //public List<TrialDocUserTypeConfirmedUser> TrialDocUserConfirmedList { get; set; }
        //////һû  ϶Ӧһû   ͨûUserTypeId Ϊ  ϵ ֶ
        //public TrialDocNeedConfirmedUserType TrialDocNeedConfirmedUserType { get; set; }
        //public List<TrialDocument> TrialDocumentList { get; set; }
        //public Guid UserTypeId { get; set; }
        //public string UserRealName { get; set; }
        //public string UserType { get; set; }
        //public UserType UserTypeEnum { get; set; }


        public Guid UpdateUserId { get; set; }
        public DateTime UpdateTime { get; set; }
        public Guid CreateUserId { get; set; }
        public DateTime CreateTime { get; set; }

        public bool IsDeleted { get; set; }

        public DateTime? RemoveTime { get; set; }

        public DateTime? JoinTime { get; set; }

        

    }
}
